Subject: Re: bug#23031: reporting write errors and handling SIGPIPE

From: Eric Blake <[email-masked]>
Date: Fri, 18 Mar 2016 12:18:05 -0600

On 03/18/2016 11:30 AM, Assaf Gordon wrote:

> I found that on my weird setup, programs start with SIGPIPE set to
> SIG_IGN by default (not sure how I got myself into such situation).

There have been various automated robot testsuite runners (such as
Jenkins at one point in the past, although I don't know if it is still
the case) that do the equivalent of 'trap - PIPE' in their master shell;
then the rules of POSIX say that 'sh' can't do anything to undo that
setting (it's very annoying - inheriting ignored SIGPIPE is impossible
to undo in straight shell, and requires an intermediary C program).

-- 
Eric Blake   eblake redhat com    +1-919-301-3266
Libvirt virtualization library http://libvirt.org